
Ruby - Bug #5563

Fix bug in drb tests if hostname does not resolve to a local IP

11/04/2011 01:57 AM - jeremyevans0 (Jeremy Evans)

Status: Closed   

Priority: Normal   

Assignee: seki (Masatoshi Seki)   

Target version:    

ruby -v: ruby 1.9.3p0 (2011-10-30 revision

33570) [i386-openbsd]

Backport:  

Description

3 of the drb tests leave the hostname part of the druby URI empty instead of using localhost.  When a hostname is not provided, ruby

uses the system hostname, which usually resolves to a local IP address, but not always.  This causes the tests to fail if the system

hostname doesn't resolve to a local IP address. The tests also appear to hang, since the connection timeout is 100 seconds.

The attached patch fixes this case by using localhost as the hostname in the 3 tests that did not already do that, making them

consistent with the other tests.

History

#1 - 03/11/2012 04:42 PM - ko1 (Koichi Sasada)

- Assignee set to seki (Masatoshi Seki)

#2 - 03/18/2012 06:46 PM - shyouhei (Shyouhei Urabe)

- Status changed from Open to Assigned

#3 - 07/11/2013 03:12 PM - jeremyevans0 (Jeremy Evans)

This bug can be closed.  Bug #7311 was a duplicate of this bug with the exact same patch I provided, and the patch was applied at r41916.

#4 - 07/11/2013 10:57 PM - zzak (zzak _)

- Status changed from Assigned to Closed

Thanks Jeremy!

Files

test_drb_localhost.diff 1.24 KB 11/04/2011 jeremyevans0 (Jeremy Evans)
